For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardWebsiteCommunity
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • API Reference
      • GETCallback Task Mcp Server
      • GETAuthorize Task Mcp Server
      • POSTDiscover Task Mcp Server Tools
      • GETList Task Mcp Servers
      • POSTCreate Task Mcp Server
      • GETList Task Mcp Server Catalog
      • GETGet Task Mcp Server Catalog
      • GETGet Task Mcp Server
      • POSTUpdate Task Mcp Server
      • DELDelete Task Mcp Server
      • POSTRefresh Task Mcp Server
      • POSTReauthorize Task Mcp Server
      • GETIAM - List Task Mcp Server Members
      • GETIAM - Lookup Task Mcp Server Member
      • POSTIAM - Update Task Mcp Server Member
      • POSTIAM - Test Task Mcp Server Permissions
  • External Links
    • Agent API Docs
    • OpenAPI Spec
LogoLogo
DashboardWebsiteCommunity
API ReferenceTask Mcp Servers

IAM - Update Task Mcp Server Member

POST
/org/:org_id/project/:project_id/task_mcp_server/:task_mcp_server_id/iam/members/:member
POST
/api/v1/org/:org_id/project/:project_id/task_mcp_server/:task_mcp_server_id/iam/members/:member
$curl -X POST https://app.rightbrain.ai/api/v1/org/org_id/project/project_id/task_mcp_server/task_mcp_server_id/iam/members/member \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "member": "string",
3 "roles": [
4 "string"
5 ],
6 "name": "string",
7 "avatar_url": "string",
8 "total_subjects": 1
9}

Update the roles that a member holds on the task_mcp_server.

Was this page helpful?
Previous

IAM - Test Task Mcp Server Permissions

Next
Built with

Authentication

AuthorizationBearer

Bearer token authentication using JWT tokens from Ory Kratos/Hydra

Path parameters

task_mcp_server_idstringRequiredformat: "uuid"
memberstringRequired
org_idstringRequiredformat: "uuid"
The org id
project_idstringRequiredformat: "uuid"
The project id

Request

This endpoint expects an object.
addlist of enumsOptional

A list of task_mcp_server roles to grant to the member.

Roles in this list are applied to the member AFTER any removals specified in remove.

This may be combined with remove_all to replace the member’s entire role list.

Allowed values:
removelist of enumsOptional

A list of task_mcp_server roles to revoke from the member.

Allowed values:
remove_allboolean or nullOptionalDefaults to false

Removes all existing roles from the member. This may be combined with add to replace all existing roles that the member holds.

Response

Successful Response
memberstring

The member identifier string, the format of which is ‘<subject_type>:<subject_id>’

roleslist of strings
A list of roles that the member holds on an entity. Some entities, such as Organizations, may contain members that exist without any roles.
namestring or null
The name of the member.
avatar_urlstring or null
If avatar of the member, if it is supported by their subject type.
total_subjectsintegerDefaults to 1

The total number of subjects that the member represents, which may be a value other than 1 if the member is not a User.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error